#
# spec file for package procps (Version 3.2.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           procps
URL:            http://procps.sf.net
License:        GPL, LGPL
Group:          System/Monitoring
PreReq:         %fillup_prereq %insserv_prereq
Autoreqprov:    on
Version:        3.2.6
Release:        18.4
Summary:        ps utilities for /proc
Provides:       ps
Obsoletes:      ps
Source:         http://procps.sourceforge.net/procps-%version.tar.bz2
Source1:        boot.sysctl
Source2:        systat.xinetd
Source3:        sysctl.conf
Patch:          procps-3.2.3-make.diff
Patch1:         procps-3.2.2-100cpus.diff
Patch2:         procps-3.2.5-eof.diff
Patch3:         procps-3.2.2-ia64.diff
Patch6:         procps-3.2.2-manycpus.diff
Patch7:         procps-3.2.2-w-notruncate.diff
Patch8:         procps-3.2.2-w-simply-work.diff
Patch9:         procps-3.2.6-top.1.diff
Patch10:        procps-3.2.2-top-termsize.patch
Patch11:        procps-3.2.3-buffersize.diff
Patch12:        pwdx-bufferoverflow.diff
Patch13:        procps-3.2.5-pmap-smaps-rml-2.patch
Patch14:        procps-3.2.6-alotofmem.diff
Patch15:        procps-3.2.5-top-rc.patch
Patch16:        procps-3.2.5-cpu_hotplug.patch
Patch17:        procps-3.2.5-CPU-states.patch
Patch18:        procps-3.2.6-cpu-field-width.patch
Patch19:        procps-3.2.6-stealtime.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The procps package contains a set of system utilities that provide
system information. Procps includes ps, free, skill, snice, tload, top,
uptime, vmstat, w, and watch. The ps command displays a snapshot of
running processes. The top command provides a repetitive update of the
statuses of running processes. The free command displays the amounts of
free and used memory on your system. The skill command sends a
terminate command (or another specified signal) to a specified set of
processes. The snice command is used to change the scheduling priority
of specified processes. The tload command prints a graph of the current
system load average to a specified tty. The uptime command displays the
current time, how long the system has been running, how many users are
logged on, and system load averages for the past one, five, and fifteen
minutes. The w command displays a list of the users who are currently
logged on and what they are running. The watch program watches a
running program. The vmstat command displays virtual memory statistics
about processes, memory, paging, block I/O, traps, and CPU activity.



Authors:
--------
    Albert Cahalan <albert@users.sf.net>
    (and many more)

%debug_package
%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p0
%patch15 -p1
%patch16 -p1
%patch17
%patch18
%patch19 -p1

%build
make CFLAGS="-Wall -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 $RPM_OPT_FLAGS -pipe" \
     CC="gcc"

%install
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/etc/xinetd.d
install -m 755 %SOURCE1 $RPM_BUILD_ROOT/etc/init.d
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/etc/xinetd.d/systat
install -m 644 %SOURCE3 $RPM_BUILD_ROOT/etc
# clean unwanted files (coreutils)
rm -f $RPM_BUILD_ROOT/bin/kill
rm -f $RPM_BUILD_ROOT/usr/bin/uptime
rm -f $RPM_BUILD_ROOT%_mandir/man1/kill.1
rm -f $RPM_BUILD_ROOT%_mandir/man1/uptime.1

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{fillup_and_insserv -ny boot.sysctl boot.sysctl}

%postun
%insserv_cleanup

%files
%defattr (-,root,root,755)
%doc NEWS README COPYING
%config /etc/init.d/boot.sysctl
%config(noreplace) /etc/sysctl.conf
%config(noreplace) /etc/xinetd.d/systat
/bin/ps
/sbin/sysctl
/usr/bin/free
/usr/bin/pgrep
/usr/bin/pkill
/usr/bin/pmap
/usr/bin/pwdx
/usr/bin/skill
/usr/bin/slabtop
/usr/bin/snice
/usr/bin/tload
/usr/bin/top
/usr/bin/vmstat
/usr/bin/w
/usr/bin/watch
%_mandir/man1/free.1.gz
%_mandir/man1/pgrep.1.gz
%_mandir/man1/pkill.1.gz
%_mandir/man1/pmap.1.gz
%_mandir/man1/ps.1.gz
%_mandir/man1/pwdx.1.gz
%_mandir/man1/skill.1.gz
%_mandir/man1/slabtop.1.gz
%_mandir/man1/snice.1.gz
%_mandir/man1/tload.1.gz
%_mandir/man1/top.1.gz
%_mandir/man1/w.1.gz
%_mandir/man1/watch.1.gz
%_mandir/man5/sysctl.conf.5.gz
%_mandir/man8/vmstat.8.gz
%_mandir/man8/sysctl.8.gz

%changelog -n procps
* Thu May 18 2006 - werner@suse.de
- Add stealtime patch (bug #86394)
* Mon Mar 20 2006 - hvogel@suse.de
- fix %%CPU column format [#159480]
* Thu Mar 16 2006 - hvogel@suse.de
- make CPU states consistent [#158572]
* Wed Mar 15 2006 - hvogel@suse.de
- fix last patch to not lead to constant CPU usage [#156395]
* Mon Feb 20 2006 - hvogel@suse.de
- dont crash if a CPU is hotplugged [#151285]
* Wed Feb 08 2006 - hvogel@suse.de
- fix ~/.toprc handling [#140319]
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 - mmj@suse.de
- Add support for terabytes of memory [#145014]
* Wed Jan 04 2006 - mmj@suse.de
- Document 'H' - Threads in top.1 (thanks Tony Ernst)
* Mon Oct 31 2005 - mmj@suse.de
- Update to 3.2.6:
  o vmstat: /proc/stat buffer big enough for 1024 CPUs
  o dietlibc needs termios.h for struct winsize
  o top: can do per-task display
  o more MIPS crud
  o begin prep for setuid
  o top: fix %%CPU max on 2..9 CPU SMP
  o ps: fix crash related to realloc
  o ps: man page more detailed
  o spelling fixes
  o top: crash on resize fixed
  o vmstat: -p handles /dev/ and does not overflow
* Thu Oct 13 2005 - mmj@suse.de
- Updated patch from rml
* Wed Oct 12 2005 - mmj@suse.de
- Add patch from Chris Rivera for "smaps" that provides per-mapping
  RSS information.
* Mon Apr 18 2005 - mmj@suse.de
- Fix potential bufferoverflow in pwdx [#78074]
* Tue Feb 08 2005 - mmj@suse.de
- Update to 3.2.5:
  * display problem on 64-bit systems fixed
  * top: variable-width PID and PPID
  * top: variable-width %%CPU
  * sysctl: better error messages
  * ps: security labels can contain any printable ASCII
  * top: help and version message on stdout, with exit(0)
  * ps: SIGTSTP and SIGTTOU shouldn't print bug email address
  * slabtop: compile with glibc 2.2.17 (and older, likely)
  * slabtop: fix overflow on huge NUMA boxes
  * slabtop: accept any slabinfo 2.x format
  * ps: alignment after WCHAN fixed
  * pmap: when no -x or -d option, show full path
* Tue Jan 11 2005 - mmj@suse.de
- Make our CFLAGS and RPM_OPT_FLAGS actually get used [#49378]
* Tue Dec 07 2004 - mmj@suse.de
- Update to procps-3.2.4:
  * support 64-bit MIPS with n32 binary
  * sparc32 optimized for sparc32 again
  * pwdx: new command
  * ps: UTF-8 username + command
  * ps: more room for some columns
  * ps: tolerate SubDomain security module CONTEXT/LABEL data
  * watch: passes COLUMNS and LINES in environment
  * top: in batch mode, tolerate unknown $TERM
  * pkill: quiet about processes that die before kill()
* Wed Oct 27 2004 - mmj@suse.de
- Increase buffer size for reading proc files. [#44776]
* Thu Sep 23 2004 - lmuelle@suse.de
- Ensure to activate boot.sysctl if we do a first installation, [#44481].
* Wed Sep 15 2004 - lmuelle@suse.de
- Add default sysctl.conf file.
* Mon Aug 16 2004 - garloff@suse.de
- Update to procps-3.2.3:
  * avoid truncating long usernames
  * avoid warning about -lncurses when not linking (more)
  * new names for shared libraries (packagers: watch out!)
  * build fixes and manpages updates
  * wchan now '*' for multi-threaded processes
  * ps: STAT shows l for multi-threaded processes
  * vmstat: some overflow problems fixed -- thanks Holger Kiehl
- Use ps manpage from from the package.
* Tue Aug 03 2004 - garloff@suse.de
- Update to procps-3.2.2:
  * build tweaks and docu updates
  * ps: k option and personality-specific -x support
  * sysctl: -a and -N options, better error handling
  * top: tolerate sparse CPU numbering, cope with terminals
  lacking ram & sram, avoid xterm clear-to-eol at eol
  * vmstat: fix -d
  * watch: sub-second intervals
- Rediff patches.
* Wed Jun 02 2004 - uli@suse.de
- fixed crash in small terminal (bug #37651)
* Tue Mar 30 2004 - stepan@suse.de
- Fix ps.1 [#35584]
- update to 3.2.1 to get rid of incompatible SE Linux patches.
  3.2.1 is a bugfix release:
  * ps: STAT flags for fg process group and session leader
  * ps: STAT flags for swapped out process dropped (was broken)
  * ps: new -M and Z options for security data (SE Linux, etc.)
  * slabtop: detect broken /proc/slabinfo -- thanks to Fabian
  Frederick
  * slabtop: ensure that error messages show up on the screen --
  FF again
* Mon Mar 29 2004 - mmj@suse.de
- Fix top.1 man page and include pmap.1 [#35584]
* Sun Mar 21 2004 - adrian@suse.de
- show the result of w also with line wrapps, like in good old times.
  (ok'ed by stepan)
* Wed Mar 03 2004 - stepan@suse.de
- add notruncate option to w (for powermanagement code)
* Mon Mar 01 2004 - stepan@suse.de
- fix handling of many CPUs in top (#34347)
* Tue Feb 24 2004 - stepan@suse.de
- update to procps 3.2.0
  * build on IA-64 again
  * pmap: output like Solaris 9, not Solaris 7
  * ps: also handle SELinux on the 2.4.xx kernels
  * top: during a ^Z, the terminal was messed up
  * future-proof the tty handling
  * add slabtop
  * pmap: detect the primary stack
  * pmap: -d format
  * free: report high and low memory
* Fri Feb 20 2004 - ro@suse.de
- boot.sysctl: do nothing for stop case
* Sun Feb 15 2004 - kukuk@suse.de
- Disable some tests not working on all architectures
* Sat Feb 14 2004 - kukuk@suse.de
- Rename package to procps
- Move procinfo and psmisc into seperate packages
- Update to 3.1.15 (includes SELinux support)
* Fri Jan 23 2004 - bk@suse.de
- pstree: UTF-8: never draw >1 '+' at end of line(no change for ASCII)
- pstree: Fix -G which uses VT100 line drawing: use the full width
* Mon Nov 17 2003 - stepan@suse.de
- fix package to build as user. Thanks to olh.
* Thu Oct 23 2003 - stepan@suse.de
- update to procps 3.1.14
  * ps fully supports thread display (H, -L, m, -m, and -T)
  * top can show CPU usage for IO-wait, IRQ, and softirq
  * can set $PS_FORMAT to choose your own default ps format
  * better width control ("ps -o pid,wchan:42,args")
  * width of ps PID column adjusts to your system
  * vmstat lets you choose units you like: 1000, 1024, 1000000...
  * top can sort by any column (old sort keys available too)
  * top can select a single user to display
  * top can be put in multi-window mode and/or color mode
  * vmstat has the -s option, as found on UNIX and BSD systems
  * vmstat has the -f option, as found on UNIX and BSD systems
  * watch doesn't eat the first blank line by mistake
  * vmstat uses a fast O(1) algorithm on 2.5.xx kernels
  * pmap command is SunOS-compatible
  * vmstat shows IO-wait time
  * pgrep and pkill can find the oldest matching process
  * sysctl handles the Linux 2.5.xx VLAN interfaces
  * ps has a new "-F" format (very nice, like DYNIX/ptx has)
  * ps with proper BSD process selection
  * better handling of very long uptimes
* Tue Oct 14 2003 - stepan@suse.de
- fix 32bit build on AMD64
* Wed Oct 01 2003 - stepan@suse.de
- update to procps 3.1.13
* Sat Sep 20 2003 - schwab@suse.de
- Handle EOF from terminal [#31126].
* Mon Sep 15 2003 - stepan@suse.de
- fix "#C" display problem with more than 99 CPUs. (#28163)
* Fri Sep 05 2003 - stepan@suse.de
- top: fix 4G overflow on 64bit platforms (bug #28539)
  (procps-3.1.11-bigproc.diff)
* Fri Aug 08 2003 - stepan@suse.de
- update procps to version 3.1.11:
  * compile with gcc 2.95 again (C99 issue)
- fix sysctl insertion (bug #28593)
* Mon Jul 14 2003 - stepan@suse.de
- update procps to version 3.1.10
  * handle GPLONLY_ symbols
  * kill: better man page
  * skill: better man page
  * ps: PID-like columns change width as needed
  * top: COMMAND instead of Command
  * vmstat: -m displays slabinfo
  * vmstat: -d displays disk stats
- update psmisc to 21.3 (has our patch included)
  * SELinux SID selection uses -d instead of -S to stop the
  confusion of signal names.
  * Doesnt segfault on long cmdnames, thanks Ben Low
  * More fixes for types, also some GCC 3.2 fixes
  * Changed a long to a long long in pstree.
* Fri Jul 04 2003 - stepan@suse.de
- update to version 3.1.9
  * memory sizes fixed for 64-bit w/ gcc 3.x
  * ps: detect broken OS install w/o /proc mounted
  * top: fix suspend/resume behavior
  * top: ditch warning until a _good_ interface is found
  * kill: more info in the man page
  * ps: document the -o, o, -O, and O options
  * vmstat: choose units you like: 1000, 1024, 1000000...
* Fri Jun 13 2003 - coolo@suse.de
- fixing cwd
* Thu Jun 12 2003 - coolo@suse.de
- use %%find_lang
* Tue Jun 03 2003 - coolo@suse.de
- use BuildRoot
- use %%_mandir
* Wed May 14 2003 - stepan@suse.de
- drop XConsole and xcpustate as there are the almost identical
  tools xconsole and xosview. This drops X11 dependencies of this
  package completely.
- fix default permissions of locale directories (bug #26120)
* Thu Mar 27 2003 - stepan@suse.de
- fix truncating bug in pstree when specifying -al
- merge psmisc diffs
* Fri Mar 21 2003 - stepan@suse.de
- update procps to 3.1.8
- update xcpustate to 2.6beta
- fix build on itanium
* Wed Mar 05 2003 - stepan@suse.de
- add xinetd config file for systat service
* Tue Mar 04 2003 - stepan@suse.de
- update procps to 3.1.6
  * includes discontig mem fixes
  * includes fix for missing processes (bug #23526)
* Mon Feb 24 2003 - stepan@suse.de
- new, working discontig patch
* Wed Feb 19 2003 - stepan@suse.de
- fix broken ps with discontig kernel (bug #23788)
* Mon Feb 03 2003 - schwab@suse.de
- Don't package uptime, now part of coreutils.
* Wed Nov 27 2002 - stepan@suse.de
- fix newlines in string again, to satisfy compiler (killall)
* Fri Nov 22 2002 - stepan@suse.de
- make x utility build triggerable by %%{build_with_x}
* Thu Nov 14 2002 - werner@suse.de
- Stupid compiler does not accept newlines in strings.
* Tue Oct 15 2002 - werner@suse.de
- Fix bug #20604: new procps version 2.0.10
- port all required patches to 2.0.10
- Update psmisc to 21.2
- port all required patches to 21.2
* Tue Sep 10 2002 - adrian@suse.de
- fix split alias
-Obsoletes:     ps:/usr/X11R6/bin/xcpustate
  +Provides:      ps:/usr/X11R6/bin/xcpustate
* Thu Aug 22 2002 - kukuk@suse.de
- fix PreRequires.
* Fri Aug 16 2002 - werner@suse.de
- Add PreReq (bug #17963)
* Thu Aug 15 2002 - ro@suse.de
- modify required-start in boot.sysctl: boot.setup is gone
* Tue Aug 06 2002 - werner@suse.de
- Statistics of cpu usage: no negative averages (bug #17449)
* Mon Aug 05 2002 - kukuk@suse.de
- boot.sysclt: rename serial to setserial, setserial and
  boot.isapnp are "should-start".
* Wed Mar 20 2002 - ro@suse.de
- boot.sysctl: don't write out sysctl.conf if it doesn't exist
  sysctl can't read the file of a complete dump
* Fri Feb 22 2002 - werner@suse.de
- Fix bug #12816: generate signal list with signal cpp macros
  to get it correct on all architectures.  Make SIG prefix
  work of signal names.
* Fri Feb 01 2002 - ro@suse.de
- added stop/status for sysctl boot script
* Mon Jan 21 2002 - ro@suse.de
- added boot-script for sysctl (inactive by default)
* Mon Jan 07 2002 - ro@suse.de
- fixed segfault (thanks to andreas)
* Thu Dec 20 2001 - werner@suse.de
- Make it compile
* Thu Dec 20 2001 - werner@suse.de
- Sometimes it happens that /proc can not be open, then we have
  to exit gratefully :^)
* Fri Nov 09 2001 - schwab@suse.de
- Fix idle time overflow in vmstat.
- Fix missing declarations.
* Mon Sep 17 2001 - werner@suse.de
- Fix lsdev from procinfo
- Use the correct type for uptime integers (procinfo)
* Tue Sep 04 2001 - werner@suse.de
- Move fuser from /usr/bin/ to /bin/
* Tue Sep 04 2001 - werner@suse.de
- Fix bug #9797: update to psmisc-20.1
- Update procinfo to procinfo-18
- Add bigbuff, retcode, sysctl-error, and biguid patch frm RH
  (last one should fix bug #9933)
* Tue Apr 24 2001 - werner@suse.de
- Package split (#7078)
* Fri Apr 20 2001 - werner@suse.de
- tty in proc's stat is an int
* Thu Mar 29 2001 - ro@suse.de
- initialize page_size before first use
* Wed Mar 28 2001 - schwab@suse.de
- Kill improper use of PAGE_SIZE.
* Tue Mar 27 2001 - werner@suse.de
- Make it work again
- Make w know about locale
* Tue Mar 13 2001 - schwab@suse.de
- Use getpagesize instead of PAGE_SHIFT.
- Don't compile with -fwritable-strings.
* Mon Mar 12 2001 - werner@suse.de
- Skip oldps
* Fri Mar 09 2001 - werner@suse.de
- Make it run on a IA64
* Mon Feb 19 2001 - werner@suse.de
- Make program watch recognize locale environment (bug#6395)
* Thu Jan 25 2001 - werner@suse.de
- Make `fuser -s -k' work (bug#6143)
* Mon Jan 22 2001 - werner@suse.de
- Avoid segfaults on mmap'ed buffer by adding '\0'
* Wed Jan 10 2001 - werner@suse.de
- Fix format handling (bug#5386)
* Wed Dec 20 2000 - werner@suse.de
- Reset locale during sscanf calls to POSIX
* Tue Dec 19 2000 - werner@suse.de
- Use %%llu for input (sscanf) and output (printf) format of
  unsigned long long (free.c, top.c, and sysinfo.c).
* Wed Dec 13 2000 - werner@suse.de
- Update to procps 2.0.7: now SMP should be visible in top
- Remove sessreg from file list
- Add pgrep and pkill to file list
* Mon Dec 04 2000 - ro@suse.de
- don't try to strip man-pages
* Wed Nov 22 2000 - uli@suse.de
- fixed to build on PPC
* Fri Nov 17 2000 - ro@suse.de
- compile-fix for old sessreg (glibc/X11 clash atexit)
* Sat May 27 2000 - kukuk@suse.de
- Add Group tag
- Use docdir macro
* Mon May 08 2000 - ro@suse.de
- procinfo fixed for smp/alpha
* Mon Feb 28 2000 - werner@suse.de
- Install some docus (closes bug #1509)
* Fri Feb 25 2000 - kukuk@suse.de
- Fix problem that glibc and ncurses uses the same define for
  different things.
* Thu Feb 24 2000 - schwab@suse.de
- procps: fix scanf format string
* Fri Feb 04 2000 - kasal@suse.cz
- remove smp_num_cpus -- it's done in 2.0.6
* Wed Jan 19 2000 - ro@suse.de
- usr/man -> usr/share/man
* Wed Jan 19 2000 - kasal@suse.de
- fixed "ps u" -- ie. fixed read_total_main()
* Mon Dec 06 1999 - werner@suse.de
- Argh: fix Makefile to install sysctl.conf.5 man page
* Mon Dec 06 1999 - werner@suse.de
- Install sysctl tool of procps 2.0.6
* Fri Dec 03 1999 - kasal@suse.de
- upgraded procps to 2.0.6, to get the package compiled on sparc
* Wed Nov 24 1999 - kettner@suse.de
- fixed bug in procinfo on AXP
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Sep 07 1999 - werner@suse.de
- Avoid SEGV if /proc isn't mounted (e.g. in single user mode)
* Tue Sep 07 1999 - werner@suse.de
- Fix some maunal page (missed tbl mark, some nasty .TH's)
* Wed Aug 18 1999 - werner@suse.de
- Update procinfo (ver 17), procps (ver 2.0.2) but hold
  ver 1.2.11 (sessreg, XConsole, libproc for xcpustate),
  update psmisc (ver 18)
- Patch procps 2.0.2 with debian diff and make ps
  usable again (select bits should be 0x0a0a to see
  all ttys if ps is called).
* Wed Apr 14 1999 - bk@suse.de
- updated procinfo patckage from version 15 to 16
  * annoying interrupt warning("recompile me!") is gone
  * display on SMP has been fixed
* Tue Apr 06 1999 - bk@suse.de
- update to procps-1.2.11
- fixed segfault in /usr/bin/w
* Mon Mar 22 1999 - florian@suse.de
- update to procps-1.2.10
* Fri Oct 30 1998 - ro@suse.de
- update to procinfo-15 and procps-1.2.9
- extra source for xcpustate-2.5 (no more in procps)
- patched xcpustate to display mem,swap,net for linux
* Thu May 07 1998 - florian@suse.de
- add "-g" option to killall to kill a complete process group
- update to procps 1.2.7
- update to procinfo 13
* Fri Mar 13 1998 - bs@suse.de
- switched version to `date` (problem with version for update).
* Mon Mar 02 1998 - florian@suse.de
- update to psmisc 17
- update to procps 1.2.6
- update to procinfo 12
* Fri Oct 17 1997 - ro@suse.de
- ready for autobuild
* Sat Jul 05 1997 - florian@suse.de
- updated to 1.12.2 again (with fixes)
- fix output of free
- top with wrong options won't destroy the display
- XConsole is not suid-root anymore as "xconsole" can be used without
  being suid root
* Mon Jun 30 1997 - bs@suse.de
- switched back to version 1.11.6
* Sun Jun 22 1997 - florian@suse.de
- update to version 1.12.2
- add procinfo 0.11
* Tue May 20 1997 - florian@suse.de
- update to version 1.11.6
* Sun Apr 13 1997 - florian@suse.de
- update to new version 1.11.3
- update to psmisc 12a
* Wed Jan 22 1997 - florian@suse.de
- update to version 1.11.1
* Thu Jan 02 1997 - florian@suse.de
  new version 1.01
  'top' is completely new
  people might get a much faster 'ps', if they delete '/etc/psdevtab'
  and call 'ps' as root...
